<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-boutique-heading" data-cy="BoutiqueCreateUpdateHeading" jhiTranslate="blogApp.boutique.home.createOrEditLabel">
        Créer ou éditer un Boutique
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.boutique.name" for="field_name">Name</label>
          <input type="text" class="form-control" name="name" id="field_name" data-cy="name" formControlName="name" />
          <div *ngIf="editForm.get('name')!.invalid && (editForm.get('name')!.dirty || editForm.get('name')!.touched)">
            <small class="form-text text-danger" *ngIf="editForm.get('name')?.errors?.required" jhiTranslate="entity.validation.required">
              Ce champ est obligatoire.
            </small>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.boutique.lien" for="field_lien">Lien</label>
          <input type="text" class="form-control" name="lien" id="field_lien" data-cy="lien" formControlName="lien" />
          <div *ngIf="editForm.get('lien')!.invalid && (editForm.get('lien')!.dirty || editForm.get('lien')!.touched)">
            <small class="form-text text-danger" *ngIf="editForm.get('lien')?.errors?.required" jhiTranslate="entity.validation.required">
              Ce champ est obligatoire.
            </small>
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.boutique.horairesOuverture" for="field_horairesOuverture"
            >Horaires Ouverture</label
          >
          <input
            type="text"
            class="form-control"
            name="horairesOuverture"
            id="field_horairesOuverture"
            data-cy="horairesOuverture"
            formControlName="horairesOuverture"
          />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.boutique.thematique" for="field_thematique">Thematique</label>
          <input
            type="text"
            class="form-control"
            name="thematique"
            id="field_thematique"
            data-cy="thematique"
            formControlName="thematique"
          />
          <div *ngIf="editForm.get('thematique')!.invalid && (editForm.get('thematique')!.dirty || editForm.get('thematique')!.touched)">
            <small
              class="form-text text-danger"
              *ngIf="editForm.get('thematique')?.errors?.required"
              jhiTranslate="entity.validation.required"
            >
              Ce champ est obligatoire.
            </small>
          </div>
        </div>

        <div class="row mb-3">
          <label jhiTranslate="blogApp.boutique.cooperative" for="field_cooperatives">Cooperative</label>
          <select
            class="form-control"
            id="field_cooperatives"
            data-cy="cooperative"
            multiple
            name="cooperatives"
            formControlName="cooperatives"
            [compareWith]="compareCooperative"
          >
            <option [ngValue]="cooperativeOption" *ngFor="let cooperativeOption of cooperativesSharedCollection">
              {{ cooperativeOption.id }}
            </option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="blogApp.boutique.utilisateur" for="field_utilisateur">Utilisateur</label>
          <select
            class="form-control"
            id="field_utilisateur"
            data-cy="utilisateur"
            name="utilisateur"
            formControlName="utilisateur"
            [compareWith]="compareUtilisateur"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="utilisateurOption" *ngFor="let utilisateurOption of utilisateursSharedCollection">
              {{ utilisateurOption.id }}
            </option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Annuler</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Sauvegarder</span>
        </button>
      </div>
    </form>
  </div>
</div>
